$margin: -6px;
//https://ant.design/docs/spec/colors
:host {
  .ellipsis {
    overflow: hidden;
    white-space:nowrap;
    text-overflow:ellipsis;
    width:150px;
    display:inline-block;
  }
  .built {
    margin-right: $margin;
    ::ng-deep.ant-progress-bg {
      background-color: #52c41a; // green-6
    }
  }
  .building {
    margin-right: $margin;
    ::ng-deep.ant-progress-bg {
      background-color: #1890ff; // blue-6
    }
  }
  .error {
    margin-right: $margin;
    ::ng-deep.ant-progress-bg {
      background-color: #f5222d; // red-6
    }
  }
  .no-built {
    ::ng-deep.ant-progress-bg {
      background-color: #bfbfbf; // grey-6
    }
  }
}
